inplace_merge.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity>
auto | ranges::inplace_merge (I first, I middle, S last, C pred=C{}, P proj=P{}) -> I requires bidirectional_iterator< I > &&sortable< I, C, P >
| function template `inplace_merge`
template<typename Rng , typename C = less, typename P = identity>
auto | ranges::inplace_merge (Rng &&rng, iterator_t< Rng > middle, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires bidirectional_range< Rng > &&sortable< iterator_t< Rng >, C, P >